PPL 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Parma_Polyhedra_Library::MIP_Problem::const_iterator Class Reference

A read-only iterator on the constraints defining the feasible region. More...

`#include <ppl.hh>`

List of all members.

## Public Member Functions
difference_type | operator- (const const_iterator &y) const
| Iterator difference: computes distances.
const_iterator & | operator++ ()
| Prefix increment.
const_iterator & | operator-- ()
| Prefix decrement.
const_iterator | operator++ (int)
| Postfix increment.
const_iterator | operator-- (int)
| Postfix decrement.
const_iterator & | operator+= (difference_type n)
| Moves iterator forward of `n` positions.
const_iterator & | operator-= (difference_type n)
| Moves iterator backward of `n` positions.
const_iterator | operator+ (difference_type n) const
| Returns an iterator `n` positions forward.
const_iterator | operator- (difference_type n) const
| Returns an iterator `n` positions backward.
reference | operator* () const
| Returns a reference to the "pointed" object.
pointer | operator-> () const
| Returns the address of the "pointed" object.
bool | operator== (const const_iterator &y) const
| Compares `*this` with y.
bool | operator!= (const const_iterator &y) const
| Compares `*this` with y.

## Detailed Description

A read-only iterator on the constraints defining the feasible region.

## Member Function Documentation

bool Parma_Polyhedra_Library::MIP_Problem::const_iterator::operator== | ( | const const_iterator & | y | ) | const
| inline

Compares `*this` with y.

Parameters:

  y | The iterator that will be compared with *this.

bool Parma_Polyhedra_Library::MIP_Problem::const_iterator::operator!= | ( | const const_iterator & | y | ) | const
| inline

Compares `*this` with y.

Parameters:

  y | The iterator that will be compared with *this.

The documentation for this class was generated from the following file:

- ppl.hh